AgentConnect
Decisions

List Decision providers

Authorized daemon capabilities and organization credential readiness. Does not decrypt keys or make provider calls.

GET
/v1/orgs/{orgId}/decisions/providers

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Query Parameters

daemonId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

curl -X GET "https://example.com/v1/orgs/string/decisions/providers"
[  {    "id": "string",    "name": "string",    "kind": "string",    "daemonId": "string",    "daemonName": "string",    "pool": true,    "memberSetId": "string",    "source": "byok",    "readiness": {      "status": "ready"    },    "models": [      {        "id": "string",        "label": "string",        "questionTypes": [          "boolean"        ]      }    ]  }]